﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			foreach(RadTabItem tabItem in tabControl1.Items)
			{
				tabItem.AddHandler(FrameworkElement.MouseLeftButtonDownEvent, new MouseButtonEventHandler(Item_MouseLeftButtonDown), true);
			}
		}

		void Item_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
		{
			this.VisualizeContent();
		}

		private void tabControl1_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
		{
			this.VisualizeContent();
		}

		private void VisualizeContent()
		{
			RadTabItem tabItem = tabControl1.SelectedItem as RadTabItem;
			(tabItem.Content as FrameworkElement).Visibility = Visibility.Visible;
		}
	}
}
